Bug 1572963 - [abrt] dnf: _progress_cb(): __init__.py:1366:log:SystemError: <built-in function isinstance> returned a result with an error set
Summary: [abrt] dnf: _progress_cb(): __init__.py:1366:log:SystemError: <built-in funct...
Keywords:
Status: CLOSED DUPLICATE of bug 1489308
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:62e1333cc7faac590903ebf96e0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 09:05 UTC by PySnip
Modified: 2018-10-09 12:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-08 14:43:35 UTC
Type: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (493.63 KB, text/plain)
2018-04-29 09:06 UTC, PySnip
no flags Details
File: backtrace (3.21 KB, text/plain)
2018-04-29 09:06 UTC, PySnip
no flags Details
File: cgroup (355 bytes, text/plain)
2018-04-29 09:06 UTC, PySnip
no flags Details
File: cpuinfo (1.63 KB, text/plain)
2018-04-29 09:06 UTC, PySnip
no flags Details
File: dnf-makecache.log (480 bytes, text/plain)
2018-04-29 09:06 UTC, PySnip
no flags Details
File: environ (2.14 KB, text/plain)
2018-04-29 09:06 UTC, PySnip
no flags Details
File: mountinfo (3.94 KB, text/plain)
2018-04-29 09:06 UTC, PySnip
no flags Details
File: namespaces (129 bytes, text/plain)
2018-04-29 09:06 UTC, PySnip
no flags Details
File: open_fds (662 bytes, text/plain)
2018-04-29 09:06 UTC, PySnip
no flags Details

Description PySnip 2018-04-29 09:05:46 UTC
Version-Release number of selected component:
dnf-2.7.5-2.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /bin/dnf -y install https://github.com/UnitedRPMs/unitedrpms/releases/download/7/unitedrpms-27-7.fc27.noarch.rpm
crash_function: _progress_cb
exception_type: KeyboardInterrupt
executable:     /bin/dnf
kernel:         4.16.3-200.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
__init__.py:1366:log:SystemError: <built-in function isinstance> returned a result with an error set

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 415, in _progress_cb
    def _progress_cb(self, cbdata, total, done):
KeyboardInterrupt

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/util.py", line 211, in new_func
    log_call('Call: %s: %s, %s', name, args[1:], kwargs)
  File "/usr/lib64/python3.6/logging/__init__.py", line 1366, in log
    if not isinstance(level, int):
SystemError: <built-in function isinstance> returned a result with an error set

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 179, in user_main
    errcode = main(args)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1014, in run
    return self.command.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/commands/install.py", line 92, in run
    for pkg in self.base.add_remote_rpms(self.opts.filenames, strict=strict):
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 1147, in add_remote_rpms
    path = dnf.util._urlopen_progress(path, self.conf)
  File "/usr/lib/python3.6/site-packages/dnf/util.py", line 74, in _urlopen_progress
    librepo.download_packages(targets, failfast=True)
  File "/usr/lib64/python3.6/site-packages/librepo/__init__.py", line 1616, in download_packages
    return _librepo.download_packages(list, failfast)
  File "/usr/lib/python3.6/site-packages/dnf/util.py", line 211, in new_func
    log_call('Call: %s: %s, %s', name, args[1:], kwargs)
  File "/usr/lib64/python3.6/logging/__init__.py", line 1366, in log
    if not isinstance(level, int):
SystemError: <built-in function isinstance> returned a result with an error set

Local variables in innermost frame:
kwargs: {}
args: ('RemoteRPMPayload._end_cb', (<dnf.repo.RemoteRPMPayload object at 0x7f8fafc46588>, 2, 'Downloading was aborted by LR_CB_ERROR from mirror failure callback. Original error was: Curl error (42): Operation was aborted by an application callback for https://github-production-release-asset-2e65be.s3.amazonaws.com/60862833/2d9dde56-cd94-11e7-9fce-14c93adf58f0?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAIWNJYAX4CSVEH53A%2F20180428%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20180428T030409Z&X-Amz-Expires=300&X-Amz-Signature=1bb663890ca19904f6b63777bffb00cbf14ceb374b4ae82e3da7fac6f9e53b94&X-Amz-SignedHeaders=host&actor_id=0&response-content-disposition=attachment%3B%20filename%3Dunitedrpms-27-7.fc27.noarch.rpm&response-content-type=application%2Foctet-stream [Callback aborted]'), {})
msg: 'Call: %s: %s, %s'
level: 6
self: <Logger dnf (SUBDEBUG)>

Potential duplicate: bug 1489308

Comment 1 PySnip 2018-04-29 09:06:25 UTC
Created attachment 1428336 [details]
File: _var_log_dnf.log

Comment 2 PySnip 2018-04-29 09:06:28 UTC
Created attachment 1428337 [details]
File: backtrace

Comment 3 PySnip 2018-04-29 09:06:30 UTC
Created attachment 1428338 [details]
File: cgroup

Comment 4 PySnip 2018-04-29 09:06:32 UTC
Created attachment 1428339 [details]
File: cpuinfo

Comment 5 PySnip 2018-04-29 09:06:34 UTC
Created attachment 1428340 [details]
File: dnf-makecache.log

Comment 6 PySnip 2018-04-29 09:06:37 UTC
Created attachment 1428341 [details]
File: environ

Comment 7 PySnip 2018-04-29 09:06:39 UTC
Created attachment 1428342 [details]
File: mountinfo

Comment 8 PySnip 2018-04-29 09:06:41 UTC
Created attachment 1428343 [details]
File: namespaces

Comment 9 PySnip 2018-04-29 09:06:43 UTC
Created attachment 1428344 [details]
File: open_fds

Comment 10 Jaroslav Mracek 2018-09-25 13:50:36 UTC
Thanks a lot for bug report. Please can you still reproduce the issue, or do you know when it happened in the first place? Thanks a lot.

Comment 11 Jaroslav Mracek 2018-10-08 14:43:35 UTC

*** This bug has been marked as a duplicate of bug 1489308 ***

Comment 12 PySnip 2018-10-09 12:40:31 UTC
Hi Jaroslav Mracek,
I am very sorry to reply so late and sadly i cannot tell you when it first happened. Even worse i actually dont remember what happened back then to lead to this bug.

If i can be of any help, please let me know.

Sincerely,

Max


Note You need to log in before you can comment on or make changes to this bug.